@REM @file
@REM
@REM @copyright
@REM  INTEL CONFIDENTIAL
@REM  Copyright 2014 - 2016 Intel Corporation.
@REM
@REM  The source code contained or described herein and all documents related to the
@REM  source code ("Material") are owned by Intel Corporation or its suppliers or
@REM  licensors. Title to the Material remains with Intel Corporation or its suppliers
@REM  and licensors. The Material may contain trade secrets and proprietary and
@REM  confidential information of Intel Corporation and its suppliers and licensors,
@REM  and is protected by worldwide copyright and trade secret laws and treaty
@REM  provisions. No part of the Material may be used, copied, reproduced, modified,
@REM  published, uploaded, posted, transmitted, distributed, or disclosed in any way
@REM  without Intel's prior express written permission.
@REM
@REM  No license under any patent, copyright, trade secret or other intellectual
@REM  property right is granted to or conferred upon you by disclosure or delivery
@REM  of the Materials, either expressly, by implication, inducement, estoppel or
@REM  otherwise. Any license under such intellectual property rights must be
@REM  express and approved by Intel in writing.
@REM
@REM  Unless otherwise agreed by Intel in writing, you may not remove or alter
@REM  this notice or any other notice embedded in Materials by Intel or
@REM  Intel's suppliers or licensors in any way.
@REM
@REM  This file contains a 'Sample Driver' and is licensed as such under the terms
@REM  of your license agreement with Intel or your vendor. This file may be modified
@REM  by the user, subject to the additional terms of the license agreement.
@REM
@REM @par Specification Reference:
@REM

@echo on

@REM clear the previous setting.
@echo.>PlatformPkgExtConfig.dsc
@set EXT_CONFIG_CLEAR=TRUE
rem ------------------------------------------------------------------------------------------------
rem This tool assumes that it will be executed in PlatSamplePkg\
rem Usage: BasicBuild.bat
rem Disable some build switches to compile Basic BIOS and verify it's still buildable.
rem ------------------------------------------------------------------------------------------------

  @echo gSiPkgTokenSpaceGuid.PcdBootGuardEnable^|FALSE >> PlatformPkgExtConfig.dsc
  @echo gSiPkgTokenSpaceGuid.PcdSiCsmEnable^|FALSE >> PlatformPkgExtConfig.dsc
  @echo gSiPkgTokenSpaceGuid.PcdEvLoaderEnable^|FALSE >> PlatformPkgExtConfig.dsc
  @echo gPlatformModuleTokenSpaceGuid.PcdIntelRaidEnable^|FALSE >> PlatformPkgExtConfig.dsc
  @echo gPlatformModuleTokenSpaceGuid.PcdSecureBootEnable^|FALSE >> PlatformPkgExtConfig.dsc
  @echo gSiPkgTokenSpaceGuid.PcdSgEnable^|FALSE >> PlatformPkgExtConfig.dsc
  @echo gSiPkgTokenSpaceGuid.PcdTxtEnable^|FALSE >> PlatformPkgExtConfig.dsc
  @echo gPlatformModuleTokenSpaceGuid.PcdCapsuleEnable^|FALSE >> PlatformPkgExtConfig.dsc
  @echo gSiPkgTokenSpaceGuid.PcdSmmVariableEnable^|FALSE >> PlatformPkgExtConfig.dsc
  @echo gSiPkgTokenSpaceGuid.PcdPegEnable^|FALSE >> PlatformPkgExtConfig.dsc
  @echo gSiPkgTokenSpaceGuid.PcdSmbiosEnable^|FALSE >> PlatformPkgExtConfig.dsc

  rd /s /q ..\RomImages
  rd /s /q ..\Build

  call prep
  @if %ERRORLEVEL% NEQ 0 (
    @exit /b 1
  )
  call bld
  @if %ERRORLEVEL% NEQ 0 (
    @exit /b 1
  )

  @ECHO Zip RomImages to BasicDbgRomImages
  @if exist "C:\Program Files\7-Zip" (
    call "C:\Program Files\7-Zip"\7z a ..\BasicDbgRomImages.7z ..\RomImages
    goto Exit
  )
  @if exist "C:\Program Files (x86)\7-Zip" (
    call "C:\Program Files\7-Zip"\7z a ..\BasicDbgRomImages.7z ..\RomImages
    goto Exit
  )
  @echo *** ERROR! No 7Z.exe found in the system. ***
    call ..\7z a ..\BasicDbgRomImages.7z ..\RomImages
rem  @exit /b 1

:Exit
