## @file
#  Board Config Init configuration file.
#
# @copyright
#  INTEL CONFIDENTIAL
#  Copyright 2015 - 2018 Intel Corporation.
#
#  The source code contained or described herein and all documents related to the
#  source code ("Material") are owned by Intel Corporation or its suppliers or
#  licensors. Title to the Material remains with Intel Corporation or its suppliers
#  and licensors. The Material may contain trade secrets and proprietary and
#  confidential information of Intel Corporation and its suppliers and licensors,
#  and is protected by worldwide copyright and trade secret laws and treaty
#  provisions. No part of the Material may be used, copied, reproduced, modified,
#  published, uploaded, posted, transmitted, distributed, or disclosed in any way
#  without Intel's prior express written permission.
#
#  No license under any patent, copyright, trade secret or other intellectual
#  property right is granted to or conferred upon you by disclosure or delivery
#  of the Materials, either expressly, by implication, inducement, estoppel or
#  otherwise. Any license under such intellectual property rights must be
#  express and approved by Intel in writing.
#
#  Unless otherwise agreed by Intel in writing, you may not remove or alter
#  this notice or any other notice embedded in Materials by Intel or
#  Intel's suppliers or licensors in any way.
#
#  This file contains a 'Sample Driver' and is licensed as such under the terms
#  of your license agreement with Intel or your vendor. This file may be modified
#  by the user, subject to the additional terms of the license agreement.
#
# @par Specification
##

[Components.IA32]
  $(PLATFORM_PACKAGE)/Board/BoardInit/Pei/BoardConfigInitPreMem.inf {
    <LibraryClasses>
      NULL|$(PLATFORM_PACKAGE)/Board/Others/PeiBoardInitLib/OthersBoardInitPreMemLib.inf  # AdvancedFeaturesContent

      NULL|$(PLATFORM_PACKAGE)/Board/SkylakeA0Rvp3/PeiBoardInitLib/PeiSkylakeA0Rvp3InitPreMemLib.inf
#
# AdvancedFeaturesBegin
#
      NULL|$(PLATFORM_PACKAGE)/Board/SkylakeYRvp13/PeiBoardInitLib/PeiSkylakeYRvp13InitPreMemLib.inf              # depends on RVP3

      NULL|$(PLATFORM_PACKAGE)/Board/SkylakeURvp7/PeiBoardInitLib/PeiSkylakeURvp7InitPreMemLib.inf
      NULL|$(PLATFORM_PACKAGE)/Board/SkylakeURvp15/PeiBoardInitLib/PeiSkylakeURvp15InitPreMemLib.inf              # depends on RVP7

      NULL|$(PLATFORM_PACKAGE)/Board/SkylakeHaloDdr4Rvp11/PeiBoardInitLib/PeiSkylakeHaloDdr4Rvp11InitPreMemLib.inf
      NULL|$(PLATFORM_PACKAGE)/Board/SkylakeHaloLpddr3Rvp16/PeiBoardInitLib/PeiSkylakeHaloLpddr3Rvp16InitPreMemLib.inf

#
# KblGBegin
#
      NULL|$(PLATFORM_PACKAGE)/Board/KblG/KabylakeDdr4Rvp17/PeiBoardInitLib/PeiKabylakeDdr4Rvp17InitPreMemLib.inf
#
# KblGEnd
#

#
# AdvancedFeaturesEnd
#
}

$(PLATFORM_PACKAGE)/Board/BoardInit/Pei/BoardConfigInit.inf {
    <LibraryClasses>
      NULL|$(PLATFORM_PACKAGE)/Board/Others/PeiBoardInitLib/OthersBoardInitLib.inf        # AdvancedFeaturesContent

      NULL|$(PLATFORM_PACKAGE)/Board/SkylakeA0Rvp3/PeiBoardInitLib/PeiSkylakeA0Rvp3InitLib.inf
#
# AdvancedFeaturesBegin
#
      NULL|$(PLATFORM_PACKAGE)/Board/SkylakeYRvp13/PeiBoardInitLib/PeiSkylakeYRvp13InitLib.inf                    # depends on RVP3

      NULL|$(PLATFORM_PACKAGE)/Board/SkylakeURvp7/PeiBoardInitLib/PeiSkylakeURvp7InitLib.inf
      NULL|$(PLATFORM_PACKAGE)/Board/SkylakeURvp15/PeiBoardInitLib/PeiSkylakeURvp15InitLib.inf                    # depends on RVP7

      NULL|$(PLATFORM_PACKAGE)/Board/SkylakeHaloDdr4Rvp11/PeiBoardInitLib/PeiSkylakeHaloDdr4Rvp11InitLib.inf
      NULL|$(PLATFORM_PACKAGE)/Board/SkylakeHaloLpddr3Rvp16/PeiBoardInitLib/PeiSkylakeHaloLpddr3Rvp16InitLib.inf  # depends on Rvp11

#
# KblGBegin
#
      NULL|$(PLATFORM_PACKAGE)/Board/KblG/KabylakeDdr4Rvp17/PeiBoardInitLib/PeiKabylakeDdr4Rvp17InitLib.inf
#
# KblGEnd
#

#
# AdvancedFeaturesEnd
#
}