/**@file

 @copyright
  INTEL CONFIDENTIAL
  Copyright 2005 - 2016 Intel Corporation.

  The source code contained or described herein and all documents related to the
  source code ("Material") are owned by Intel Corporation or its suppliers or
  licensors. Title to the Material remains with Intel Corporation or its suppliers
  and licensors. The Material may contain trade secrets and proprietary and
  confidential information of Intel Corporation and its suppliers and licensors,
  and is protected by worldwide copyright and trade secret laws and treaty
  provisions. No part of the Material may be used, copied, reproduced, modified,
  published, uploaded, posted, transmitted, distributed, or disclosed in any way
  without Intel's prior express written permission.

  No license under any patent, copyright, trade secret or other intellectual
  property right is granted to or conferred upon you by disclosure or delivery
  of the Materials, either expressly, by implication, inducement, estoppel or
  otherwise. Any license under such intellectual property rights must be
  express and approved by Intel in writing.

  Unless otherwise agreed by Intel in writing, you may not remove or alter
  this notice or any other notice embedded in Materials by Intel or
  Intel's suppliers or licensors in any way.

  This file contains a 'Sample Driver' and is licensed as such under the terms
  of your license agreement with Intel or your vendor. This file may be modified
  by the user, subject to the additional terms of the license agreement.

@par Specification
**/

/* #EIS_Comment_Tag_Tool *
********************************************************************************
**
**    @file build.h
**
**    @brief Contains the global version strings
**
**    @author Atar Kfir
**
********************************************************************************
*/

/* Sentry Header
 *******************/
#ifndef _BUILD_H_
#define _BUILD_H_

#ifdef __cplusplus
extern "C" {
#endif

/* Global Declarations
 **************************/

/** Build Version Number.  Updated by Jamin */
#define VER_BUILD          1043
/** Build Version String.  Updated by Jamin */
#define VER_BUILD_STR     "1043"

#ifdef __cplusplus
}
#endif

#define POST_PV   0  // Set this flag to zero when are at PRE-PV and 1 when we are at POST_PV
                     // This flag will take care of including or excluding WW kill-pill check
                     // and turn on the update logic to prevent downgrade from POST_PV to PRE_PV.
                     // To update the PV value in the manifest, please modify the
                     // XML path /CseConfiguration/CseRegion/ManifestFlags value (bit 0) in the
                     // FTOOL configuration file.

/*** Global Functions
 **************************/

#endif // _BUILD_H_

