/** @file
 Header file for PeiPolicyBoardConfig library instance.

 @copyright
  INTEL CONFIDENTIAL
  Copyright 2016 - 2017 Intel Corporation.

  The source code contained or described herein and all documents related to the
  source code ("Material") are owned by Intel Corporation or its suppliers or
  licensors. Title to the Material remains with Intel Corporation or its suppliers
  and licensors. The Material may contain trade secrets and proprietary and
  confidential information of Intel Corporation and its suppliers and licensors,
  and is protected by worldwide copyright and trade secret laws and treaty
  provisions. No part of the Material may be used, copied, reproduced, modified,
  published, uploaded, posted, transmitted, distributed, or disclosed in any way
  without Intel's prior express written permission.

  No license under any patent, copyright, trade secret or other intellectual
  property right is granted to or conferred upon you by disclosure or delivery
  of the Materials, either expressly, by implication, inducement, estoppel or
  otherwise. Any license under such intellectual property rights must be
  express and approved by Intel in writing.

  Unless otherwise agreed by Intel in writing, you may not remove or alter
  this notice or any other notice embedded in Materials by Intel or
  Intel's suppliers or licensors in any way.

  This file contains a 'Sample Driver' and is licensed as such under the terms
  of your license agreement with Intel or your vendor. This file may be modified
  by the user, subject to the additional terms of the license agreement.

@par Specification Reference:
**/
#ifndef _PEI_POLICY_BOARD_CONFIG_H_
#define _PEI_POLICY_BOARD_CONFIG_H_

#include <PiPei.h>
#include <Library/PeiServicesLib.h>
#include <Library/DebugLib.h>
#include <Library/HobLib.h>
#include <Library/ConfigBlockLib.h>
#include <Library/PeiPolicyBoardConfigLib.h>
#include <Library/PcdLib.h>
#include <PlatformBoardConfig.h>
#include <PlatformInfo.h>
#include <Library/BoardConfigLib.h>
#include <Library/PchInfoLib.h>
#include <Library/IoLib.h>
#include <Ppi/ReadOnlyVariable2.h>
#include <Library/EcLib.h>
#include <SetupVariable.h>
#include <Library/BaseCryptLib.h>
#include <SoftwareGuardSetupData.h>
#include <Library/BaseMemoryLib.h>
#include <PlatformInfo.h>
#include <Library/MmPciLib.h>

extern EFI_GUID gBiosGuardModuleGuid;
extern EFI_GUID gBiosGuardHobGuid;
extern EFI_GUID gBiosGuardModuleCflGuid;
extern EFI_GUID gSinitSvnGuid;

extern EFI_GUID  gEfiTpmDeviceInstanceTpm12Guid;
extern EFI_GUID  gEfiTpmDeviceInstanceTpm20DtpmGuid;

#define TPM20_SGX_NVINDEX  0x01800004
#define TPM12_SGX_NVINDEX  0x50000004

#define SINIT_SVN_VARIABLE_NAME   (L"SinitSvn")

///
/// A NV-RAM variable for storing SINIT SVN value.
///
typedef struct _SINIT_SVN {
  ///
  /// Non-zero version indicates the variable is being initialized or valid
  ///
  UINT8  SvnNumber;
} SINIT_SVN;

#endif
