/** @file
  Internal header of the Setup Component.

 @copyright
  INTEL CONFIDENTIAL
  Copyright 2009 - 2018 Intel Corporation.

  The source code contained or described herein and all documents related to the
  source code ("Material") are owned by Intel Corporation or its suppliers or
  licensors. Title to the Material remains with Intel Corporation or its suppliers
  and licensors. The Material may contain trade secrets and proprietary and
  confidential information of Intel Corporation and its suppliers and licensors,
  and is protected by worldwide copyright and trade secret laws and treaty
  provisions. No part of the Material may be used, copied, reproduced, modified,
  published, uploaded, posted, transmitted, distributed, or disclosed in any way
  without Intel's prior express written permission.

  No license under any patent, copyright, trade secret or other intellectual
  property right is granted to or conferred upon you by disclosure or delivery
  of the Materials, either expressly, by implication, inducement, estoppel or
  otherwise. Any license under such intellectual property rights must be
  express and approved by Intel in writing.

  Unless otherwise agreed by Intel in writing, you may not remove or alter
  this notice or any other notice embedded in Materials by Intel or
  Intel's suppliers or licensors in any way.

  This file contains a 'Sample Driver' and is licensed as such under the terms
  of your license agreement with Intel or your vendor. This file may be modified
  by the user, subject to the additional terms of the license agreement.

@par Specification Reference:
**/

#define EVAL(a) a

#define TPM_SETUP_ITEM_CALLBACK_LIST_EX \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_TPM_DEVICE_SELECT,TpmOptionCallback), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_TPM2_GOTO,TpmOptionCallback), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_TPM_GOTO,TpmOptionCallback), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_TPM_ENABLE,TpmOptionCallback), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_TPM_DISABLE,TpmOptionCallback), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_TPM_ACTIVATE,TpmOptionCallback), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_TPM_DEACTIVATE,TpmOptionCallback), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_TPM_FORCE_CLEAR,TpmOptionCallback),

#ifndef TPM_SETUP_ITEM_CALLBACK_LIST_EX
#define TPM_SETUP_ITEM_CALLBACK_LIST_EX \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_TPM_GOTO,TpmOptionCallback), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_TPM_ENABLE,TpmOptionCallback), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_TPM_DISABLE,TpmOptionCallback), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_TPM_ACTIVATE,TpmOptionCallback), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_TPM_DEACTIVATE,TpmOptionCallback), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_TPM_FORCE_CLEAR,TpmOptionCallback),
#endif

#define SETUP_ITEM_CALLBACK_LIST_EX \
  EVAL(TPM_SETUP_ITEM_CALLBACK_LIST_EX) \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_ICC_PROFILE,IccProfileCallback), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_ICC_RATIO2,IccCallback), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_ICC_FREQ2,IccCallback), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_ICC_FREQ3,IccCallback), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_ICC_SPREAD2,IccCallback), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_ICC_SPREAD3,IccCallback), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_RatioLimit1,CpuFormCallBackFunction), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_RatioLimit2,CpuFormCallBackFunction), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_RatioLimit3,CpuFormCallBackFunction), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_RatioLimit4,CpuFormCallBackFunction), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_RatioLimit5,CpuFormCallBackFunction), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_RatioLimit6,CpuFormCallBackFunction), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_RatioLimit7,CpuFormCallBackFunction), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_RatioLimit8,CpuFormCallBackFunction), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_XeVoltage,OcFormCallBackFunction), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_MEMINFO_PROFILE,OcFormMemoryTimingCallBackFunction), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_CpuRatioLimit,CpuFormCallBackFunction), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_RING_MAX_OC_RATIO_LIMIT,OcFormCallBackFunction), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_CPU_OVER_CLOCKING,OcFormCallBackFunction), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_TPV_GFX_OVER_CLOCKING,OcFormCallBackFunction), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_TBT_SUPPORT,TbtFormCallBackFunction), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_TBT_OS_SELECTOR,TbtOsSelectorFormCallBackFunction), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,TBT_OSSELECT_FORM_ID,TbtOsSelectorFormCallBackFunction), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_TBT_HOSTROUTER,TbtFormCallBackFunction), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_TBT_VTD_SECURITY_ID, TBTSecurityCallBackFunction), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_TBT_SELECTOR_RVP3,TbtFormCallBackFunction), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_TBT_BOOT_ON,TbtFormCallBackFunction), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_TBT_USB_ON,TbtFormCallBackFunction), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_TBT_SELECTOR_RVP7,TbtFormCallBackFunction), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_TBT_SELECTOR_SDS,TbtFormCallBackFunction), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_TBT_SELECTOR_DT_HALO,TbtFormCallBackFunction), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,TBT_SECURITY_LEVEL_KEY,TbtFormCallBackFunction), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_TBT_DETACHABLE_GFX_SUPPORT,TbtFormCallBackFunction), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_LOW_POWER_S0_IDLE,LowPowerS0IdleEnableCallback), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_EpochChange,EpochChangeCallBackFunction), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_SgxEpoch1,SgxEpoch1CallBackFunction), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_SgxChange,SgxFormCallBackFunction), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,MNG_STATE_KEY,MeFormCallBackFunction), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,NFC_STATE_KEY,MeFormCallBackFunction), \
  ITEM_CALLBACK_EX(BOOT_FORM_SET_CLASS,0,KEY_CSM_STATE,CsmControlCallBack), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_MULTICONTROLLER_SUPPORT,TbtFormCallBackFunction), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_RING_MIN_OC_RATIO_LIMIT,OcFormCallBackFunction), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_CORE_MAX_OC_RATIO_LIMIT,OcFormCallBackFunction), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_VrPowerDeliveryChange,CpuVrConfigCallBackFunction), \
  ITEM_CALLBACK_EX(ADVANCED_FORM_SET_CLASS,0,KEY_WIFI_POWER_LIMIT, CnvFormCallBackFunction),