# @file
# 
# @copyright
#  INTEL CONFIDENTIAL
#  Copyright 2016 Intel Corporation.
#
#  The source code contained or described herein and all documents related to the
#  source code ("Material") are owned by Intel Corporation or its suppliers or
#  licensors. Title to the Material remains with Intel Corporation or its suppliers
#  and licensors. The Material may contain trade secrets and proprietary and
#  confidential information of Intel Corporation and its suppliers and licensors,
#  and is protected by worldwide copyright and trade secret laws and treaty
#  provisions. No part of the Material may be used, copied, reproduced, modified,
#  published, uploaded, posted, transmitted, distributed, or disclosed in any way
#  without Intel's prior express written permission.
#
#  No license under any patent, copyright, trade secret or other intellectual
#  property right is granted to or conferred upon you by disclosure or delivery
#  of the Materials, either expressly, by implication, inducement, estoppel or
#  otherwise. Any license under such intellectual property rights must be
#  express and approved by Intel in writing.
#
#  Unless otherwise agreed by Intel in writing, you may not remove or alter
#  this notice or any other notice embedded in Materials by Intel or
#  Intel's suppliers or licensors in any way.
#
#  This file contains a 'Sample Driver' and is licensed as such under the terms
#  of your license agreement with Intel or your vendor. This file may be modified
#  by the user, subject to the additional terms of the license agreement.
#
# @par Specification Reference:
#

if [ ! $CMDLINE ]; then
  CMDLINE=""
  numargs=$#
  for ((i=1 ; i <= numargs ; i++)); do
    CMDLINE+="$1 "
    shift
  done
fi

#
# Create the Windows equivalent environment
#
WINPATH=`winepath -w $WORKSPACE/$CLIENT_COMMON_PACKAGE/Override/$BP_COMMON_PACKAGE/Tools/FCE`
WINPATH+=";"
WINPATH+=`winepath -w $WORKSPACE/$CLIENT_COMMON_PACKAGE/Override/$BP_COMMON_PACKAGE/Tools/FMMT`
WINPATH+=";"
WINPATH+=`winepath -w $WORKSPACE/$BP_COMMON_PACKAGE/Restricted/Tools/KeyEnroll`
WINPATH+=";"
WINPATH+=`winepath -w $WORKSPACE/$CLIENT_COMMON_PACKAGE/Tools/SignFv`
WINPATH+=";"
WINPATH+=`winepath -w $WORKSPACE/$PLATFORM_PACKAGE/Tools/ToolScripts/SignFv`
WINPATH+=";"
WINPATH+=`winepath -w $WORKSPACE/BaseTools/Bin`
WINPATH+=";"
WINPATH+=`winepath -w $WORKSPACE/BaseTools/Bin/Win32`

BATSCRIPT=`winepath -w $WORKSPACE/$PLATFORM_PACKAGE/WineCmdWrapper.bat`

export WORKSPACE=`winepath -w $WORKSPACE`
export BUILD_DIR=`winepath -w $BUILD_DIR`
export CMDLINE=$CMDLINE
export WINPATH=$WINPATH


wine cmd /c $BATSCRIPT
ret=$?
if [ $ret -ne 0 ]; then
  exit $ret
fi
